summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Mueller <dev-zero@gentoo.org>2010-10-08 08:44:14 +0200
committerTiziano Mueller <dev-zero@gentoo.org>2010-10-08 08:44:14 +0200
commit71bc3e449e524552002e3448f7cb5991415ab45e (patch)
treefe33609e61d40956fc623371989f8a8cc386fefe /dev-cpp
parentVersion bump. (diff)
downloaddev-zero-71bc3e449e524552002e3448f7cb5991415ab45e.tar.gz
dev-zero-71bc3e449e524552002e3448f7cb5991415ab45e.tar.bz2
dev-zero-71bc3e449e524552002e3448f7cb5991415ab45e.zip
Version bump.
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/libcult/Manifest4
-rw-r--r--dev-cpp/libcult/libcult-1.4.6.ebuild (renamed from dev-cpp/libcult/libcult-1.4.3.ebuild)29
2 files changed, 21 insertions, 12 deletions
diff --git a/dev-cpp/libcult/Manifest b/dev-cpp/libcult/Manifest
index 1bc5e60..ee62a3c 100644
--- a/dev-cpp/libcult/Manifest
+++ b/dev-cpp/libcult/Manifest
@@ -1,2 +1,2 @@
-DIST libcult-1.4.3.tar.bz2 50389 RMD160 e0e5ba8af888bdd0c048a6625d869e79c35ade4c SHA1 861bd6cb73cd454de9dfa82eae829099100e610a SHA256 0e464e12be711a0e04b257849570d1d56b18384750ea48249780a770a7f7e8a0
-EBUILD libcult-1.4.3.ebuild 1532 RMD160 eb46c5ba4b6f06660fda2d5a3fdb7efcc93acc6f SHA1 b5c2404ff0f0097a9753b5fe6342d950b3c36b3a SHA256 5c450ade2fc67676f708fcaaecd166d5dae1371fdbe467693bcb6ee78638646f
+EBUILD libcult-1.4.6.ebuild 1812 RMD160 8be12941b25ff472fe0a824fc855bd0e7ee996ce SHA1 e36886f12db057a1125a8b93d152524d7ebb1a05 SHA256 661daee10b4c528b997e627727db94fbfa858d29781223e54fc5d4bbe9404e2a
+DIST libcult-1.4.6.tar.bz2 51036 RMD160 c8740d2184254dc246f0b9f3ed6efef5254bde36 SHA1 a2a440951693e62e458f42532da332e31bdfa041 SHA256 f1b51023880440d3e673bf9c3d2b034f1e16511b33ab006cd9f7d937246e48ac
diff --git a/dev-cpp/libcult/libcult-1.4.3.ebuild b/dev-cpp/libcult/libcult-1.4.6.ebuild
index 74d683a..e528baf 100644
--- a/dev-cpp/libcult/libcult-1.4.3.ebuild
+++ b/dev-cpp/libcult/libcult-1.4.6.ebuild
@@ -1,28 +1,32 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI="2"
-inherit toolchain-funcs
+inherit toolchain-funcs versionator
DESCRIPTION="A collection of C++ libraries"
HOMEPAGE="http://kolpackov.net/projects/libcult/"
-SRC_URI="ftp://kolpackov.net/pub/projects/${PN}/${PV%.?}/${P}.tar.bz2"
+SRC_URI="ftp://kolpackov.net/pub/projects/${PN}/$(get_version_component_range 1-2)/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples"
-DEPEND="dev-util/build"
+DEPEND="dev-util/build:0.3"
RDEPEND=""
-src_configure() {
- mkdir -p build/{c,cxx/gnu}
+src_prepare() {
+ # never build the examples
+ sed -i \
+ -e 's| $(out_base)/examples/[[:alnum:]\.]*||' \
+ -e '/examples\/makefile/d' \
+ makefile || die "sed failed"
+}
- cat >> build/c/configuration-lib-dynamic.make <<- EOF
-c_lib_type := shared
- EOF
+src_configure() {
+ mkdir -p build/{cxx/gnu,ld}
cat >> build/configuration-dynamic.make <<- EOF
cult_dr := y
@@ -47,6 +51,10 @@ cxx_gnu := $(tc-getCXX)
cxx_gnu_libraries :=
cxx_gnu_optimization_options :=
EOF
+
+ cat >> build/ld/configuration-lib-dynamic.make <<- EOF
+ld_lib_type := shared
+ EOF
}
src_install() {
@@ -62,10 +70,11 @@ src_install() {
insinto /usr/include
doins -r cult
- dodoc NEWS README
+ dodoc NEWS README documentation/[[:upper:]]*
dohtml -A xhtml -r documentation/*
if use examples ; then
+ find examples -name makefile -delete
# preserving symlinks in the examples
cp -dpR examples "${D}/usr/share/doc/${PF}"
fi